/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2010 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package org.ow2.petals.jmx.api;

/**
 * @author rnaudin
 * 
 */
public interface IPetalsEndpointRegistryService {

    public static class Endpoint {

        public static final String TYPE = "type";

        public static final String INTERFACE_NAME = "interfaceName";

        public static final String TARGET_INTERFACE_NAME = "targetInterfaceName";

        public static final String SERVICE_NAME = "serviceName";

        public static final String TARGET_SERVICE_NAME = "targetServiceName";

        public static final String ENDPOINT_NAME = "endpointName";

        public static final String TARGET_ENDPOINT_NAME = "targetEndpointName";

        public static final String DOMAIN_NAME = "domainName";

        public static final String SUBDOMAIN_NAME = "subdomainName";

        public static final String CONTAINER_NAME = "containerName";

        public static final String COMPONENT_NAME = "componentName";

    }

    public static class EndpointType {
        public static final String INTERNAL = "internal";

        public static final String EXTERNAL = "external";

        public static final String CONNECTION = "connection";
    }
}
